package com.qmth.distributed.print.business.templete.service;

import com.qmth.distributed.print.business.entity.TBTask;
import org.springframework.util.LinkedMultiValueMap;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 任务处理逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/29
 */
public interface TaskLogicService {

    /**
     * 执行导入用户逻辑
     *
     * @param finalList
     * @param map
     * @return
     */
    public Map<String, Object> executeUserImportLogic(List<LinkedMultiValueMap<Integer, Object>> finalList, Map<String, Object> map);

    /**
     * 创建pdf逻辑
     *
     * @param map
     * @return
     */
    public Map<String, Object> executeCreatePdfLogic(Map<String, Object> map) throws IOException;

    /**
     * 处理考务数据逻辑
     * @param map 参数
     * @return 要导出的考务数据
     */
    public Map<String,Object> executeExaminationLogic(Map<String, Object> map) throws Exception;

    public Map<String,Object> executeImportExaminationLogic(Map<String, Object> map) throws IOException, Exception;
}
